commit: 0127c96adc4bed8374fa0a3d42c5ccb9ac777c4c
Author: Vadim A. Misbakh-Soloviov <git <AT> mva <DOT> name>
AuthorDate: Tue Dec 6 09:11:41 2016 +0000
Commit: Vadim A. Misbakh-Soloviov <mva <AT> mva <DOT> name>
CommitDate: Tue Dec 6 09:11:41 2016 +0000
URL: https://gitweb.gentoo.org/proj/gamerlay.git/commit/?id=0127c96a
lugaru: added
games-action/lugaru/files/lugaru-9999-dir.patch | 11 +++++
games-action/lugaru/lugaru-9999.ebuild | 60 +++++++++++++++++++++++++
games-action/lugaru/metadata.xml | 11 +++++
3 files changed, 82 insertions(+)
diff --git a/games-action/lugaru/files/lugaru-9999-dir.patch
b/games-action/lugaru/files/lugaru-9999-dir.patch
new file mode 100644
index 0000000..8595084
--- /dev/null
+++ b/games-action/lugaru/files/lugaru-9999-dir.patch
@@ -0,0 +1,11 @@
+--- Source/OpenGL_Windows.cpp.orig 2015-01-14 23:57:19.799186785 -0500
++++ Source/OpenGL_Windows.cpp 2015-01-14 23:57:36.022643953 -0500
+@@ -1330,7 +1330,7 @@
+
+ // !!! FIXME: we could use a Win32 API for this. --ryan.
+ #ifndef WIN32
+- chdirToAppPath(argv[0]);
++ chdir("@GENTOO_DIR@");
+ #endif
+
+ LOGFUNC;
diff --git a/games-action/lugaru/lugaru-9999.ebuild
b/games-action/lugaru/lugaru-9999.ebuild
new file mode 100644
index 0000000..920278d
--- /dev/null
+++ b/games-action/lugaru/lugaru-9999.ebuild
@@ -0,0 +1,60 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+inherit eutils cmake-utils git-r3
+
+EGIT_REPO_URI="https://gitlab.com/osslugaru/lugaru.git"
+DESCRIPTION="3D arcade with unique fighting system and anthropomorphic
characters"
+HOMEPAGE="https://osslugaru.gitlab.io"
+SRC_URI=""
+
+LICENSE="GPL-2+ free-noncomm CC-BY-SA-3.0"
+SLOT="0"
+KEYWORDS=""
+IUSE=""
+
+RDEPEND="
+ virtual/glu
+ virtual/opengl
+ media-libs/libsdl[opengl,video]
+ media-libs/openal
+ media-libs/libvorbis
+ virtual/jpeg:0
+ media-libs/libpng:0
+ sys-libs/zlib"
+DEPEND="${RDEPEND}
+ virtual/pkgconfig"
+
+src_unpack() {
+ git-r3_src_unpack
+}
+
+src_prepare() {
+ epatch "${FILESDIR}/${P}-dir.patch"
+ sed -i \
+ -e "s:@GENTOO_DIR@:${EROOT}/usr/share/${P}:" \
+ Source/OpenGL_Windows.cpp || die
+ default
+}
+
+src_configure() {
+ mycmakeargs=(
+ "-DCMAKE_VERBOSE_MAKEFILE=TRUE"
+ "-DLUGARU_FORCE_INTERNAL_OPENGL=False"
+ )
+ cmake-utils_src_configure
+}
+
+src_compile() {
+ cmake-utils_src_compile
+}
+
+src_install() {
+ dobin "${WORKDIR}/${P}_build/lugaru"
+ insinto "${EROOT}/usr/share/${P}"
+ doins -r Data/
+ newicon Source/win-res/Lugaru.png ${PN}.png
+ make_desktop_entry ${PN} Lugaru ${PN}
+}
diff --git a/games-action/lugaru/metadata.xml b/games-action/lugaru/metadata.xml
new file mode 100644
index 0000000..f50d548
--- /dev/null
+++ b/games-action/lugaru/metadata.xml
@@ -0,0 +1,11 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>[email protected]</email>
+ <name>Gentoo Games Project</name>
+ </maintainer>
+ <upstream>
+ <remote-id type="bitbucket">osslugaru/lugaru</remote-id>
+ </upstream>
+</pkgmetadata>